//
//  ANFontsHelper.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 01.06.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

@interface ANFontsHelper : NSObject

//System Font
+ (id) defaultPlattformFontOfSize:(CGFloat)size;
+ (id) defaultBoldPlattformFontOfSize:(CGFloat)size;

//From/To String
+ (id) plattformFontFromString:(NSString*)string;
+ (NSString*) stringFromPlattformFont:(id)font;

//Convert To Traits
+ (id) convertPlattformFontToBold:(id)font;
+ (id) convertPlattformFont:(id)font toSize:(CGFloat)size;

//Standard Fonts
+ (NSString*) systemFontName;
+ (NSString*) boldSystemFontName;

//Attributes
+ (CGFloat) sizeOfPlattformFont:(id)font;

@end
