//
//  LCGradient.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 28.01.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

@class LCGradientStep;

extern NSString *LCGradientChangedNotificationName;

@interface LCGradient : NSObject <NSCoding>
{
    NSMutableArray *gradientSteps;
}

@property (readonly) NSArray *gradientSteps;
- (LCGradientStep*) addGradientStep;
- (void) removeGradientStep:(LCGradientStep*)step;

- (void) postGradientChangedNotification;

@end
