//
//  LCCanvasRootLayer-Events.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 18.12.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

#import "LCCanvasRootLayer.h"

enum {
    ShiftKeyMask   = 1 << 17,
    ControlKeyMask = 1 << 18,
    CommandKeyMask = 1 << 20
};

@interface LCCanvasRootLayer (Events)

- (void) mouseDownAtPoint:(CGPoint)point withModifiers:(NSInteger)modifiers;
- (void) mouseDraggedToPoint:(CGPoint)point withModifiers:(NSInteger)modifiers;
- (void) mouseUpAtPoint:(CGPoint)point withModifiers:(NSInteger)modifiers;

- (void) mouseMovedToPoint:(CGPoint)point;

- (void) beginGestureEvent;
- (void) rotateByDegrees:(float)rotation;
- (void) endGestureEvent;

@end
