//
//  LCPattern.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 05.02.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

@interface LCPattern : NSObject
{
    CGImageRef patternImage;
    NSString *patternImagePath;
    NSData *patternImageData;
}

- (id) initWithPatternImage:(CGImageRef)i;
- (id) initWithPatternImageURL:(NSURL*)u;

@property (readonly) CGImageRef patternImage;

- (void) drawPatternInRect:(CGRect)rect andContext:(CGContextRef)context withXScaling:(float)xScaling andYScaling:(float)yScaling andPhase:(CGSize)phase;

- (CGImageRef) thumbnail;

@end
